body {
    background-color: #7fb3e5;
    font-family: 'Roboto', sans-serif;
    color: #2c3e50;
    margin: 0;
    padding: 20px;
}

header {
    background: linear-gradient(to bottom, #ffdb58, #ffc300); 
    color: #ffffff;
    text-align: center;
    padding: 20px;
    position: relative;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); 
    margin-bottom: 20px;
}

h1, h2, h3, h4 {
    color: #2c3e50;
    margin: 0;
}

.gr {
    color: #27ae60;
}

.rd {
    color: #e74c3c;
}

#local_time,
#temperature_reading,
#humidity_reading,
#connected_ap_label,
#connected_ap,
#ip_address_label,
#netmask_label,
#gateway_label,
#wifi_connect_ip,
#wifi_connect_netmask,
#wifi_connect_gw {
    display: inline;
    color: #2c3e50;
}

#connected_ap,
#wifi_connect_ip,
#wifi_connect_netmask,
#wifi_connect_gw {
    color: #2c3e50;
}

#disconnect_wifi {
    display: none;
}

.buttons {
    padding: 5px;
}

input[type="button"] {
    font-size: 12px;
    border: 0;
    line-height: 2;
    padding: 0 5px;
    text-align: center;
    color: #ffffff;
    text-shadow: 1px 1px 1px #000;
    border-radius: 10px;
    background-color: #ffdb58;
    background-image: linear-gradient(to top left,
                                      rgba(0, 0, 0, .2),
                                      rgba(0, 0, 0, .2) 30%,
                                      rgba(0, 0, 0, 0));
    box-shadow: inset 2px 2px 3px rgba(255, 255, 255, .6),
                inset -2px -2px 3px rgba(0, 0, 0, .6);
}

input[type="button"]:hover {
    background-color: #f2c200;
}

input[type="button"]:active {
    box-shadow: inset -2px -2px 3px rgba(255, 255, 255, .6),
                inset 2px 2px 3px rgba(0, 0, 0, .6);
}

hr {
    border: none;
    height: 2px;
    background-color: rgba(0, 0, 0, 0.1);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    margin: 20px 0;
}
